-----------------------------------------------------------------------------
-- Site1
-----------------------------------------------------------------------------  
-- PostStage

function PostStage()
    -- do this stuff first, tells the game that the round is over
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera"); 
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()
    -- turn on the "Game running" menu - may not be needed for this game
    EntGame.PushMenu("MenuGameRunning");

    -- load world
    SetupWorld("Maps\\Site1\\Site1.ini", "","","");
    EntGame.CreatePlayerEntities();
	
	-- do any setup that is specifically for testing.
	if (EntGame.TestingLevels()) then
		Testing();
		end;    

    -- set stagel parameters    
    EntGame.SetGlobalDustColorInitial(1.0, .25, .2, .15);
    EntGame.SetGlobalDustColorFinal  (1.0, .25, .2, .15);   
	
    EntGame.SetStageTimer(220);
     
	-- cache animals
	EntGame.LoadAnimal(AID_BLACK_TAIL_DEER_M);
	EntGame.LoadAnimal(AID_BLACK_TAIL_DEER_F);
	EntGame.LoadAnimal(AID_GOOSE);

    -- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);
    end;
    

-----------------------------------------------------------------------------    
-- Intro

function Intro()    
    -- start the music while the scene is black
    --EntGame.PlaySong("Music\\KickinTrash.ogg");
    --EntGame.PlaySong(MUSIC_STAGEA);
        EntGame.PlaySong("Music\\TheMovement.ogg");
    -- set up any animals we want to show off
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath01", WPT_0, ST_GRAZING, 2+5, 0, 0, .2);
    deer1 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath02", WPT_0, ST_WPT_WALK, 3+5, 0, 0, .2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath03", WPT_0, ST_GRAZING, 4+5, 0, 0, .2);    
        
    -- set the camera to a cool spot, then fade in
    EntGame.BindCameraToEntity("CountdownCamera3");
    FadeIn();    
    Script.WaitSec(1.0); 
    
    -- "3"
--    Animal.FaceEntity(deer1, cam);        
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);   
    Script.WaitSec(1.0);
    
    -- "2"
    EntGame.BindCameraToEntity("CountdownCamera2");
--    Animal.FaceEntity(deer1, cam);                
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    Script.WaitSec(1.0);
    
    -- "1"
    EntGame.BindCameraToEntity("CountdownCamera1");
--    Animal.FaceEntity(deer1, cam);                
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    Script.WaitSec(1.0);
    
    -- "HUNT!"
    entCamera = Entity.FindName(entRoot, "MainCamera");    
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);        
    EntGame.BindCameraToEntity(entCamera);        
    EntGame.BindInputToEntity("Player1");
    Animal.FaceEntity(deer1, entCamera);
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);
        
    end;
    
-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters
-- (i.e. weapon availability, etc.)

function Testing()
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_1);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_1);
	
	EntGame.ResetWeaponIcons();
	end;
	
	
-----------------------------------------------------------------------------

function TestPowerup(a)
    --EntGame.CreateAnimalPowerUp(a, PID_WILEY_VISION_25);
    end;
	
-----------------------------------------------------------------------------

function Part1()

    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath01", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);   
    Script.WaitSec(2);    
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath04", WPT_0, ST_WPT_RUN, 0, 0, 0, .7); 
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath04", WPT_0, ST_WPT_RUN, 0, .75, 0, .6);
    Script.WaitSec(1.0);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath04", WPT_0, ST_WPT_RUN, 0, -1, 0, .4);
    EntGame.CreateAnimalPowerUp(deer, PID_WILEY_VISION_50);
	
    Script.WaitSec(1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, 1, 0, .3);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath04", WPT_0, ST_WPT_RUN, 0, 0, 0, .4);
    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath06", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);      
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, -.5, 0, .3);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 0, 0, .4);   
    Script.WaitSec(1);  
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 0, 1.5, .5);
    Script.WaitSec(1);  
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 0, -1.5, .5);
    Script.WaitSec(3.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath01", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath06", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(2.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 3, 0, .2); 
    Script.WaitSec(2.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath04", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(2);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, -.5, 0, .3);
    EntGame.CreateAnimalPowerUp(deer, PID_2X_MAGAZINE);
	
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 0, 0, .4);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, 0, 0, .3);
    Script.WaitSec(.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, 1, 0, .3);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 2, 0, .4); 
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 2, 0, .4); 
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 4, 0, .2);  
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 2, 0, .4); 
   	Script.WaitSec(.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath01", WPT_0, ST_WPT_RUN, 0, 0, 0, .4);
    Script.WaitSec(1.9); 
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath06", WPT_0, ST_WPT_RUN, 0, 0, 0, .4); 
    EntGame.CreateAnimalPowerUp(deer, PID_WILEY_VISION_50);
	
   	Script.WaitSec(2.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath01", WPT_0, ST_WPT_RUN, 0, 0, -1, .4); 
    Script.WaitSec(2.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath05", WPT_0, ST_WPT_RUN, 0, 0, 2, .4);  
    Script.WaitSec(1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath06", WPT_0, ST_WPT_RUN, 0, 0, 0, .4); 
    Script.WaitSec(2.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 0, 0, .5); 
    Script.WaitSec(1);  
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 1, 1.5, .5);
    Script.WaitSec(1);  
    
    Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptBB");

    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath09", WPT_0, ST_GRAZING, 9, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath09", WPT_0, ST_GRAZING, 10.2, 2.5, -2.5, .5);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath10", WPT_0, ST_GRAZING, 11, 2, 1, .5); 
    EntGame.CreateAnimalPowerUp(deer, PID_1_5X_SCORE); 
	
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath10", WPT_0, ST_GRAZING, 10, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath07", WPT_0, ST_WPT_RUN, 0, 0, -1.5, .5);
    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, 1, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath08", WPT_0, ST_WPT_RUN, 0, -2, -1, .5);
    Script.WaitSec(2);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, 0, 0, .5);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath02", 0, 0, 0, 0, .5);
    Script.WaitSec(1.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, 0, 0, .5);
    Script.WaitSec(1.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, -3, 0, .5);
	Script.WaitSec(1.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, 0, 0, .5);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath02", 0, 0, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath13", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath12", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath12", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, 0, 0, .5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath02", 0, 0, -1, 0, .5);
	Script.WaitSec(1.0);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath02", 0, 5, 3, 0, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(1.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, .5, -.5, .5);
	deer1 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, 3.5, -2, .1);
	Animal.FaceEntity(deer1, entCamera);
	Script.WaitSec(1.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath11", WPT_0, ST_WPT_RUN, 0, .5, -.5, .5);
	Script.WaitSec(2);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath02", WPT_0, ST_WPT_RUN, 0, .5, -.5, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath03", WPT_0, ST_WPT_RUN, 0, .5, -.5, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath04", WPT_0, ST_WPT_RUN, 0, .5, -.5, .8);
	Script.WaitSec(1.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath02", WPT_0, ST_WPT_RUN, 0, 0, 1, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath03", WPT_0, ST_WPT_RUN, 0, 0, -1, .5);
	Script.WaitSec(5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath13", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);		
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, 0, 0, .5);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath02", 0, 0, 0, 0, .5);
    Script.WaitSec(1.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, -3, 0, .5);
    Script.WaitSec(1.0);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath01", 0, 0, -1, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath13", WPT_0, ST_WPT_RUN, 0, 1, 0, .5);
	Script.WaitSec(1.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath13", WPT_0, ST_WPT_RUN, 0, -1, 0, .5);
	Script.WaitSec(2.0);
	       
    end;
    
-----------------------------------------------------------------------------
function Part2()    

	--Camera.JumpToWaypoint(entCamera, "CamWptBB");
    --Camera.SetSpeed(entCamera, 0.0, 0.001); 
    
	Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptCC");
    
    Goose1 = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath03", 0, -1, 3, 0, .5);
    Animal.FaceEntity(Goose1, entCamera);
	Script.WaitSec(1.0);
	Goose2 = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath03", 0, -1.5, 2, 0, .5);
	Animal.FaceEntity(Goose2, entCamera);
	
	--POWERUP
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath04", 0, 0, 3, 0, .5);
	EntGame.CreateAnimalPowerUp(Goose, PID_WILEY_VISION_50);
	
	Script.WaitSec(1.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath05", 0, 0, 0, 0, .5);   
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath05", 0, 0, -1, 0, .5);
	Script.WaitSec(1.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath05", 0, 0, 2, 0, .5);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath05", 0, 0, -.5, 0, .5);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath05", 0, 0, 0, 0, .5);	
	Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 2, 0, .6);     
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 0, 0, .4); 
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 2, -1, .4);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath15", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath15", WPT_0, ST_WPT_RUN, 0, 0, -1, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath15", WPT_0, ST_WPT_RUN, 0, 0, -3, .5);    
    Script.WaitSec(2.0);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    EntGame.CreateAnimalPowerUp(deer, PID_2X_FIRE_RATE);
	
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath14", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 2, 0, .8);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath14", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath16", WPT_0, ST_WPT_RUN, 0, 1, -1, .5);    
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath18", WPT_0, ST_WPT_RUN, 0, 0, 0, .8);
    Script.WaitSec(1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath18", WPT_0, ST_WPT_RUN, 0, -1, -1, .8);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath14", WPT_0, ST_WPT_RUN, 0, -1, -1, .4);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath15", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
    Script.WaitSec(4);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath19", WPT_0, ST_GRAZING, 5, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath20", WPT_0, ST_WPT_WALK, 7, 0, 0, .5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath21", WPT_0, ST_GRAZING, 6, 0, 2, .5);
	
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath21", WPT_0, ST_WPT_WALK, 5.5, 1.5, 0, .5);   
	Entity.SetName(deer, "Moved");
	
    Script.WaitSec(1);
    Camera.SetPanOffset(entCamera, 70, 1.0);
    Script.WaitSec(4);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath22", WPT_0, ST_WPT_WALK, 6, 0, 0, .5);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath24", WPT_0, ST_GRAZING, 5, 0, 0, .5);
    EntGame.CreateAnimalPowerUp(deer, PID_WILEY_VISION_50);
    
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath23", WPT_0, ST_WPT_WALK, 7, 0, 0, .5);
    Script.WaitSec(2);
    Camera.SetPanOffset(entCamera, 0, 1.0);
	Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptDD");
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath05", WPT_0, ST_WPT_RUN, 0, 0, 0, 1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath07", WPT_0, ST_WPT_RUN, 0, 0, -1.5, .6);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath05", WPT_0, ST_WPT_RUN, 0, 0, 1.5, .4);    
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath06", 0, 0, 0, 0, .5);
	Script.WaitSec(1.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath06", 0, 0, -1, 0, .5);   
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath06", 0, 0, .5, 0, .5);
	Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath06", WPT_0, ST_WPT_RUN, 0, 0, 0, .8);
    Script.WaitSec(4.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath06", WPT_0, ST_WPT_RUN, 0, -.5, 0, .8);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath08", WPT_0, ST_WPT_RUN, 0, 0, 0, .8);
    Script.WaitSec(1.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath06", WPT_0, ST_WPT_RUN, 0, -1.5, 0, .8);
	Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath08", WPT_0, ST_WPT_RUN, 0, 0, 0, .8);
    Script.WaitSec(2);
    
    end;
     
-----------------------------------------------------------------------------
function Part3()  

	--Camera.JumpToWaypoint(entCamera, "CamWptDD");
    --Camera.SetSpeed(entCamera, 0.0, 0.001); 
    
	Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptEE");
    
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath06", WPT_0, ST_WPT_RUN, 0, -1.5, 0, .8);
    Script.WaitSec(.5); 
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath06", WPT_0, ST_WPT_RUN, 0, -.5, -.5, .5); 
    Script.WaitSec(1.5); 
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath25", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(3);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, 0, 0, .8);
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -1, 0, .5);	
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath01", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);	
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath28", WPT_0, ST_WPT_WALK, 23, 0, 0, .7);
	Script.WaitSec(.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath28", WPT_0, ST_WPT_WALK, 25, 1.5, 0, .6);
	
	--POWERUP
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	EntGame.CreateAnimalPowerUp(deer, PID_1_5X_SCORE);
	
	Script.WaitSec(.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath28", WPT_0, ST_WPT_WALK, 24.5, -3, 0, .5);	
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerLPath01", WPT_0, ST_WPT_RUN, 0, 2, 0, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 2, 0, .5);
	Script.WaitSec(3);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -3, 0, .5);
	Animal.FaceEntity(deer, entCamera);
	Script.WaitSec(.5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -2, 0, .5);
	Animal.FaceEntity(deer, entCamera);	
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath09", 0, 0, 0, 0, .2);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -4.5, 0, .5);
	Animal.FaceEntity(deer, entCamera);	
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath10", 0, 0, 0, 0, .2);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -2, 0, .5);
	Animal.FaceEntity(deer, entCamera);			
	Script.WaitSec(1);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath09", 0, 0, 1, 0, .2);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath09", 0, 0, -2, 0, .2);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath10", 0, 0, -.5, 0, .2);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath09", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(1.0);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath09", 0, 0, 0, 0, .2);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath10", 0, 0, -.5, 0, .2);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath10", 0, 0, -1.5, 0, .2);
	Script.WaitSec(.5);
	Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "CanadianGooseSPath09", 0, 0, -3, 0, .2);
	Script.WaitSec(3);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -3, 0, .5);
	Script.WaitSec(4);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath27", WPT_0, ST_WPT_RUN, 0, 0, 0, .5);
	Script.WaitSec(2);
	deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath26", WPT_0, ST_WPT_RUN, 0, -3, 0, .5);
	Script.WaitSec(3.5);

	Camera.SetSpeed(entCamera, 2.0, 0.1); 
    Camera.StopAtWaypoint(entCamera, "CamWptFF");
    
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerLPath02", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath10", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath10", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath10", WPT_0, ST_WPT_RUN, 0, 0, 0, .7);         	
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath11", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath11", WPT_0, ST_WPT_RUN, 0, -.5, .5, .8);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath29", WPT_0, ST_WPT_RUN, 0, -2, 0, 1);        
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath11", WPT_0, ST_WPT_RUN, 0, .5, -.5, .6);   
    Script.WaitSec(2.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath12", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath29", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    
    end;
     
-----------------------------------------------------------------------------
function Part4()    
    
	--Camera.JumpToWaypoint(entCamera, "CamWptFF");
    --Camera.SetSpeed(entCamera, 0.0, 0.001); 
    
    Script.WaitSec(1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath13", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1.5);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath13", WPT_0, ST_WPT_RUN, 0, -2, 0, 1);
    EntGame.CreateAnimalPowerUp(deer, PID_WILEY_VISION_50);
	
    Script.WaitSec(.5);    
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath13", WPT_0, ST_WPT_RUN, 0, .5, 0, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath12", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath29", WPT_0, ST_WPT_RUN, 0, 4.5, 0, 1);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath12", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath29", WPT_0, ST_WPT_RUN, 0, 5, 0, 1);    
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath12", WPT_0, ST_WPT_RUN, 0, 2, 0, 1);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath29", WPT_0, ST_WPT_RUN, 0, 3, 0, 1);
    Script.WaitSec(3.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, -.5, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath15", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath15", WPT_0, ST_WPT_RUN, 0, 0, 1, 1);
	Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, -2, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, -5, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath15", WPT_0, ST_WPT_RUN, 0, 0, 2, 1);
    Script.WaitSec(1.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath15", WPT_0, ST_WPT_RUN, 0, 0, 1, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerMPath14", WPT_0, ST_WPT_RUN, 0, 0, -2, 1);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerMPath15", WPT_0, ST_WPT_RUN, 0, 0, 3, 1);     
    Script.WaitSec(3.5);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath30", WPT_0, ST_WPT_WALK, 4, 0, 0, .4);
    deer1 = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath31", WPT_0, ST_GRAZING, 6.5, 0, 0, .4);
    Animal.FaceEntity(deer1, entCamera);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath32", WPT_0, ST_WPT_WALK, 7, 0, 0, .4); 
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath33", WPT_0, ST_WPT_WALK, 5, 0, 0, .4);  
    
    Camera.SetPanOffset (entCamera, 60, 1.0);
    Camera.SetRollOffset(entCamera, 20, 1.0);
    
    Script.WaitSec(3);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, 0, 0, 1); 
    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath35", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);    
    Script.WaitSec(2);
	
	--POWERUP
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    EntGame.CreateAnimalPowerUp(deer, PID_WILEY_VISION_50); 
	
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath35", WPT_0, ST_WPT_RUN, 0, 0, 0, 1); 
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, 0, 0, .8); 
    Script.WaitSec(.5);       
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, -2, 0, .8);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, -1.5, 0, 1); 
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath35", WPT_0, ST_WPT_RUN, 0, 0, 0, 1); 
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, -1, 0, .8);
    Script.WaitSec(.5);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, 1.5, 0, .8);
    Script.WaitSec(1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, -1.5, 0, 1); 
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, 3, 0, .8);    
    Script.WaitSec(.5);
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, 0, 0, .8); 
    Script.WaitSec(1.0);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, -2.5, 0, 1); 
    Script.WaitSec(2); 
    Goose = EntGame.SpawnBirdOnPath(AID_GOOSE, "BlackTailDeerSPath36", 0, 0, 0, 0, .8);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_F, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath35", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
    Script.WaitSec(2);
    deer = EntGame.SpawnAnimalOnPath(AID_BLACK_TAIL_DEER_M, "BlackTailDeerSPath34", WPT_0, ST_WPT_RUN, 0, 0, 0, 1);
            
    end;
     
-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Intro();
Part1();   
Part2();
Part3();
Part4();
